import React from "react";
export default class SonComponent extends React.PureComponent {
    state = {
        msg: "SonComponent Msg"
    }

    // constructor(props) {
    //     super(props);
    //     console.log(props)
    // }

    render() {
        return <div style={{border: '1px solid', width: '80%', overflow: 'auto'}}>
            子组件

            <div>
                {this.state.msg}
            </div>

            <div>
                {this.props.msg}
            </div>
        </div>
    }
}

SonComponent.propTypes = {
    msg: (props)=>{
        if(typeof props.msg != "string"){
            throw new Error("msg 必须为 string 类型")
        }
    }
}

SonComponent.defaultProps = {
    msg: "defaultProps"
}
